/*
**********************************************************************

* base.css

*********************************************************************
*/
/* root
----------------------------------------------------------*/
:root
{
    font-size: 62.5%;
}

/* reset
----------------------------------------------------------------------*/
html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
samp,
small,
strong,
sub,
sup,
var,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary,
time,
mark,
audio,
video
{
    margin: 0;
    padding: 0;

    vertical-align: baseline;

    border: 0;
    outline: 0;
    background: transparent;
}

html
{
    height: 100%;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
main,
section
{
    display: block;
}

body
{
    letter-spacing: 0;

    color: #333;

    -webkit-text-size-adjust: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
td,
th,
address
{
    font-size: 100%;
    font-weight: normal;
}

ol,
ul
{
    list-style: none;
}

fieldset,
img
{
    border: 0;
}

img
{
    vertical-align: top;
}

table
{
    width: 100%;

    border-spacing: 0;
    border-collapse: collapse;

    border: 0;
}

th,
td
{
    text-align: left;
    vertical-align: top;
}

caption,
th
{
    text-align: left;
}

address,
caption,
cite,
code,
dfn,
em,
th,
var
{
    font-weight: normal;
    font-style: normal;
}

sup
{
    font-size: 62.5%;

    vertical-align: text-top;
}

input,
textarea,
button,
label
{
    font-family: inherit;

    margin: 0; 

    vertical-align: middle;

    outline: 0;
}

input[type='radio'],
input[type='checkbox'],
input[type='submit'],
button
{
    cursor: pointer;
}

/* link
----------------------------------------------------------------------*/
a:link
{
    text-decoration: underline;

    color: #333;
}

a:visited
{
    text-decoration: underline;

    color: #333;
}

a:hover
{
    text-decoration: none;

    color: #333;
}

a:active
{
    text-decoration: none;

    color: #333;
}

/* #MqMark
----------------------------------------------------------*/
#MqMark
{
    display: none;
}

@media only screen and (min-width: 769px)
{
    #MqMark
    {
        font-family: 'pc';
    }
}

@media only screen and (max-width: 768px)
{
    #MqMark
    {
        font-family: 'sp';
    }
}

/* pcNone,spNone
----------------------------------------------------------*/
@media only screen and (min-width: 769px)
{
    /* show
  ----------*/
    .pcBlock
    {
        display: block;
    }
    .spBlock
    {
        display: none;
    }
    .pcBlock-i
    {
        display: inline-block;
    }
    .spBlock-i
    {
        display: none;
    }
    /* hide
  ----------*/
    .pcNone
    {
        display: none;
    }
    .spNone
    {
        display: block;
    }
    .pcNone-i
    {
        display: none;
    }
    .spNone-i
    {
        display: inline;
    }
}

@media only screen and (max-width: 768px)
{
    /* show
  ----------*/
    .pcBlock
    {
        display: none;
    }
    .spBlock
    {
        display: block;
    }
    .pcBlock-i
    {
        display: none;
    }
    .spBlock-i
    {
        display: inline-block;
    }
    /* hide
  ----------*/
    .pcNone
    {
        display: block;
    }
    .spNone
    {
        display: none;
    }
    .pcNone-i
    {
        display: inline;
    }
    .spNone-i
    {
        display: none;
    }
}

/* clearfix
----------------------------------------------------------------------*/
.clearfix:after,
.clearFix:after,
.u-cf:after
{
    display: block;
    clear: both;

    content: '';
}

/* bisplay type
----------------------------------------------------------------------*/
.u-dib
{
    display: inline-block;
}

.u-di
{
    display: inline;
}

.u-db
{
    display: block;
}

/* hover
----------------------------------------------------------------------*/
.u-ovSelf:hover
{
    opacity: .75;
}

a.u-ov:hover img
{
    opacity: .75;
}

/* fade setting
.u-ovSelf:hover,
a.u-ov img {
  -webkit-transition: all .3s ease;
     -moz-transition: all .3s ease;
          transition: all .3s ease;
}
*/
/* common style !important
----------------------------------------------------------------------*/
.u-hide
{
    display: none !important;
}

.u-fontB
{
    font-weight: bold !important;
}

.u-clrBk
{
    color: #333 !important;
}

.u-clrRed
{
    color: #f00 !important;
}

.u-tl
{
    text-align: left !important;
}

.u-tr
{
    text-align: right !important;
}

.u-tc
{
    text-align: center !important;
}

.u-clear
{
    clear: both !important;
}

.u-fl
{
    float: left !important;
}

.u-fr
{
    float: right !important;
}

.u-mt0
{
    margin-top: 0 !important;
}

.u-mb0
{
    margin-bottom: 0 !important;
}

.u-ml0
{
    margin-left: 0 !important;
}

.u-mr0
{
    margin-bottom: 0 !important;
}

.u-pt0
{
    padding-top: 0 !important;
}

.u-pb0
{
    padding-bottom: 0 !important;
}

.u-pl0
{
    padding-left: 0 !important;
}

.u-pr0
{
    padding-bottom: 0 !important;
}

.u-mt5
{
    margin-top: 5px !important;
}

.u-mb5
{
    margin-bottom: 5px !important;
}

.u-ml5
{
    margin-left: 5px !important;
}

.u-mr5
{
    margin-bottom: 5px !important;
}

.u-pt5
{
    padding-top: 5px !important;
}

.u-pb5
{
    padding-bottom: 5px !important;
}

.u-pl5
{
    padding-left: 5px !important;
}

.u-pr5
{
    padding-bottom: 5px !important;
}

.u-mt10
{
    margin-top: 10px !important;
}

.u-mb10
{
    margin-bottom: 10px !important;
}

.u-ml10
{
    margin-left: 10px !important;
}

.u-mr10
{
    margin-bottom: 10px !important;
}

.u-pt10
{
    padding-top: 10px !important;
}

.u-pb10
{
    padding-bottom: 10px !important;
}

.u-pl10
{
    padding-left: 10px !important;
}

.u-pr10
{
    padding-bottom: 10px !important;
}

.u-mt15
{
    margin-top: 15px !important;
}

.u-mb15
{
    margin-bottom: 15px !important;
}

.u-ml15
{
    margin-left: 15px !important;
}

.u-mr15
{
    margin-bottom: 15px !important;
}

.u-pt15
{
    padding-top: 15px !important;
}

.u-pb15
{
    padding-bottom: 15px !important;
}

.u-pl15
{
    padding-left: 15px !important;
}

.u-pr15
{
    padding-bottom: 15px !important;
}

.u-mt20
{
    margin-top: 20px !important;
}

.u-mb20
{
    margin-bottom: 20px !important;
}

.u-ml20
{
    margin-left: 20px !important;
}

.u-mr20
{
    margin-bottom: 20px !important;
}

.u-pt20
{
    padding-top: 20px !important;
}

.u-pb20
{
    padding-bottom: 20px !important;
}

.u-pl20
{
    padding-left: 20px !important;
}

.u-pr20
{
    padding-bottom: 20px !important;
}

.u-mt25
{
    margin-top: 25px !important;
}

.u-mb25
{
    margin-bottom: 25px !important;
}

.u-ml25
{
    margin-left: 25px !important;
}

.u-mr25
{
    margin-bottom: 25px !important;
}

.u-pt25
{
    padding-top: 25px !important;
}

.u-pb25
{
    padding-bottom: 25px !important;
}

.u-pl25
{
    padding-left: 25px !important;
}

.u-pr25
{
    padding-bottom: 25px !important;
}

.u-mt30
{
    margin-top: 30px !important;
}

.u-mb30
{
    margin-bottom: 30px !important;
}

.u-ml30
{
    margin-left: 30px !important;
}

.u-mr30
{
    margin-bottom: 30px !important;
}

.u-pt30
{
    padding-top: 30px !important;
}

.u-pb30
{
    padding-bottom: 30px !important;
}

.u-pl30
{
    padding-left: 30px !important;
}

.u-pr30
{
    padding-bottom: 30px !important;
}

.u-mt35
{
    margin-top: 35px !important;
}

.u-mb35
{
    margin-bottom: 35px !important;
}

.u-ml35
{
    margin-left: 35px !important;
}

.u-mr35
{
    margin-bottom: 35px !important;
}

.u-pt35
{
    padding-top: 35px !important;
}

.u-pb35
{
    padding-bottom: 35px !important;
}

.u-pl35
{
    padding-left: 35px !important;
}

.u-pr35
{
    padding-bottom: 35px !important;
}

.u-mt40
{
    margin-top: 40px !important;
}

.u-mb40
{
    margin-bottom: 40px !important;
}

.u-ml40
{
    margin-left: 40px !important;
}

.u-mr40
{
    margin-bottom: 40px !important;
}

.u-pt40
{
    padding-top: 40px !important;
}

.u-pb40
{
    padding-bottom: 40px !important;
}

.u-pl40
{
    padding-left: 40px !important;
}

.u-pr40
{
    padding-bottom: 40px !important;
}

.u-mt45
{
    margin-top: 45px !important;
}

.u-mb45
{
    margin-bottom: 45px !important;
}

.u-ml45
{
    margin-left: 45px !important;
}

.u-mr45
{
    margin-bottom: 45px !important;
}

.u-pt45
{
    padding-top: 45px !important;
}

.u-pb45
{
    padding-bottom: 45px !important;
}

.u-pl45
{
    padding-left: 45px !important;
}

.u-pr45
{
    padding-bottom: 45px !important;
}

.u-mt50
{
    margin-top: 50px !important;
}

.u-mb50
{
    margin-bottom: 50px !important;
}

.u-ml50
{
    margin-left: 50px !important;
}

.u-mr50
{
    margin-bottom: 50px !important;
}

.u-pt50
{
    padding-top: 50px !important;
}

.u-pb50
{
    padding-bottom: 50px !important;
}

.u-pl50
{
    padding-left: 50px !important;
}

.u-pr50
{
    padding-bottom: 50px !important;
}

.u-mt55
{
    margin-top: 55px !important;
}

.u-mb55
{
    margin-bottom: 55px !important;
}

.u-ml55
{
    margin-left: 55px !important;
}

.u-mr55
{
    margin-bottom: 55px !important;
}

.u-pt55
{
    padding-top: 55px !important;
}

.u-pb55
{
    padding-bottom: 55px !important;
}

.u-pl55
{
    padding-left: 55px !important;
}

.u-pr55
{
    padding-bottom: 55px !important;
}

.u-mt60
{
    margin-top: 60px !important;
}

.u-mb60
{
    margin-bottom: 60px !important;
}

.u-ml60
{
    margin-left: 60px !important;
}

.u-mr60
{
    margin-bottom: 60px !important;
}

.u-pt60
{
    padding-top: 60px !important;
}

.u-pb60
{
    padding-bottom: 60px !important;
}

.u-pl60
{
    padding-left: 60px !important;
}

.u-pr60
{
    padding-bottom: 60px !important;
}

.u-mt65
{
    margin-top: 65px !important;
}

.u-mb65
{
    margin-bottom: 65px !important;
}

.u-ml65
{
    margin-left: 65px !important;
}

.u-mr65
{
    margin-bottom: 65px !important;
}

.u-pt65
{
    padding-top: 65px !important;
}

.u-pb65
{
    padding-bottom: 65px !important;
}

.u-pl65
{
    padding-left: 65px !important;
}

.u-pr65
{
    padding-bottom: 65px !important;
}

.u-mt70
{
    margin-top: 70px !important;
}

.u-mb70
{
    margin-bottom: 70px !important;
}

.u-ml70
{
    margin-left: 70px !important;
}

.u-mr70
{
    margin-bottom: 70px !important;
}

.u-pt70
{
    padding-top: 70px !important;
}

.u-pb70
{
    padding-bottom: 70px !important;
}

.u-pl70
{
    padding-left: 70px !important;
}

.u-pr70
{
    padding-bottom: 70px !important;
}

.u-mt75
{
    margin-top: 75px !important;
}

.u-mb75
{
    margin-bottom: 75px !important;
}

.u-ml75
{
    margin-left: 75px !important;
}

.u-mr75
{
    margin-bottom: 75px !important;
}

.u-pt75
{
    padding-top: 75px !important;
}

.u-pb75
{
    padding-bottom: 75px !important;
}

.u-pl75
{
    padding-left: 75px !important;
}

.u-pr75
{
    padding-bottom: 75px !important;
}

.u-mt80
{
    margin-top: 80px !important;
}

.u-mb80
{
    margin-bottom: 80px !important;
}

.u-ml80
{
    margin-left: 80px !important;
}

.u-mr80
{
    margin-bottom: 80px !important;
}

.u-pt80
{
    padding-top: 80px !important;
}

.u-pb80
{
    padding-bottom: 80px !important;
}

.u-pl80
{
    padding-left: 80px !important;
}

.u-pr80
{
    padding-bottom: 80px !important;
}

.u-mt85
{
    margin-top: 85px !important;
}

.u-mb85
{
    margin-bottom: 85px !important;
}

.u-ml85
{
    margin-left: 85px !important;
}

.u-mr85
{
    margin-bottom: 85px !important;
}

.u-pt85
{
    padding-top: 85px !important;
}

.u-pb85
{
    padding-bottom: 85px !important;
}

.u-pl85
{
    padding-left: 85px !important;
}

.u-pr85
{
    padding-bottom: 85px !important;
}

.u-mt90
{
    margin-top: 90px !important;
}

.u-mb90
{
    margin-bottom: 90px !important;
}

.u-ml90
{
    margin-left: 90px !important;
}

.u-mr90
{
    margin-bottom: 90px !important;
}

.u-pt90
{
    padding-top: 90px !important;
}

.u-pb90
{
    padding-bottom: 90px !important;
}

.u-pl90
{
    padding-left: 90px !important;
}

.u-pr90
{
    padding-bottom: 90px !important;
}

.u-mt95
{
    margin-top: 95px !important;
}

.u-mb95
{
    margin-bottom: 95px !important;
}

.u-ml95
{
    margin-left: 95px !important;
}

.u-mr95
{
    margin-bottom: 95px !important;
}

.u-pt95
{
    padding-top: 95px !important;
}

.u-pb95
{
    padding-bottom: 95px !important;
}

.u-pl95
{
    padding-left: 95px !important;
}

.u-pr95
{
    padding-bottom: 95px !important;
}

.u-mt100
{
    margin-top: 100px !important;
}

.u-mb100
{
    margin-bottom: 100px !important;
}

.u-ml100
{
    margin-left: 100px !important;
}

.u-mr100
{
    margin-bottom: 100px !important;
}

.u-pt100
{
    padding-top: 100px !important;
}

.u-pb100
{
    padding-bottom: 100px !important;
}

.u-pl100
{
    padding-left: 100px !important;
}

.u-pr100
{
    padding-bottom: 100px !important;
}

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
